Author Topic: Current MythTV version  (Read 1049 times)

huh

  • Guru
  • ****
  • Posts: 235
    • View Profile
Current MythTV version
« on: January 26, 2010, 05:56:58 am »
As of the latest beta with updates today (Jan 25,2010) what is the current version of MythTV?

Running "mythfrontend --version" gives this:

My core has this:

MythTV Version   : 23229
MythTV Branch    : branches/release-0-22-fixes
Network Protocol : 50
Library API      : 0.22.20091023-1
QT Version       : 4.4.3


My MD has this:

MythTV Version   : 22779
MythTV Branch    : branches/release-0-22-fixes
Network Protocol : 50
Library API      : 0.22.20091023-1
QT Version       : 4.4.3

Everything is up-to-date and I cannot get the two version to match.

What is the latest version and how do I get both to match?


huh

  • Guru
  • ****
  • Posts: 235
    • View Profile
Re: Current MythTV version
« Reply #1 on: January 26, 2010, 06:28:13 am »

What is the latest version and how do I get both to match?


OK, solved, but now confused.  The problem was that my /etc/apt/preferences files were different.  When I changed the one on the core to what the one on my MD said, I got the versions to match- here's my core now:

MythTV Version   : 22779
MythTV Branch    : branches/release-0-22-fixes
Network Protocol : 50
Library API      : 0.22.20091023-1
QT Version       : 4.4.3



I changed my preferences file from this:
Quote
Package: mythtv mythtv-frontend mythtv-backend mythtv-common mythtv-database mythtv-transcode-utils mythweb libmyth-perl
Pin: version 2:0.22*
Pin-Priority: 1001

to this:

Quote
Package: *
Pin: origin
Pin-Priority: 9999

Package: *
Pin: release v=8.10,o=Ubuntu,a=hardy,l=Ubuntu
Pin-Priority: 9998

Package: mythtv mythtv-frontend mythtv-backend mythtv-common mythtv-database mythtv-transcode-utils mythweb libmyth-perl
Pin: version 2:0.22*
Pin-Priority: 1001

Which one is correct?

jimbodude

  • Guru
  • ****
  • Posts: 372
    • View Profile
Re: Current MythTV version
« Reply #2 on: January 26, 2010, 05:28:43 pm »
I'm using the first one (pinning mythtv packages only), as per the instructions in the ticket.

I'm not sure where you got the second one from... I didn't have a preferences file when I added the mythtv pinning.

Current version of MythTV that I have is:
Code: [Select]
j@dcerouter:~$ mythbackend --version
Please include all output in bug reports.
MythTV Version   : 23229
MythTV Branch    : branches/release-0-22-fixes
Network Protocol : 50
Library API      : 0.22.20091023-1
QT Version       : 4.4.3

pedplar

  • Veteran
  • ***
  • Posts: 89
    • View Profile
Re: Current MythTV version
« Reply #3 on: January 26, 2010, 05:41:50 pm »
Looks like the second one is the default preferences on a MD with the Mythtv added to it. All of my mds already had the preferences file and I just added the Mythtv part.  my core is using the  first one, and mds using the second one

jimbodude

  • Guru
  • ****
  • Posts: 372
    • View Profile
Re: Current MythTV version
« Reply #4 on: January 26, 2010, 06:09:54 pm »
I see, that makes sense.

I don't think those other rules affect us much, since the repositories we use only have Ubuntu 8.10 packages in them anyway.  I believe it should be safe to remove them.  I'm not sure why they would keep you from getting the newest version of MythTV .22 though... there must be something wrong with the MythTV package information.